/* --- EASYdropdown_select DEFAULT THEME --- */

/* PREFIXED CSS */

.dropdown_select,
.dropdown_select div,
.dropdown_select li,
.dropdown_select div::after{
	-webkit-transition: all 150ms ease-in-out;
	-moz-transition: all 150ms ease-in-out;
	-ms-transition: all 150ms ease-in-out;
	transition: all 150ms ease-in-out;
}

.dropdown_select .selected::after,
.dropdown_select.scrollable div::after{
	-webkit-pointer-events: none;
	-moz-pointer-events: none;
	-ms-pointer-events: none;
	pointer-events: none;
}

/* WRAPPER */

.dropdown_select{
	position: relative;
	width: 100%;
	border: 1px solid #ccc;
	cursor: pointer;
	background: #fff;

	border-radius: 3px;
	font-family: 'OpenSansLight', Arial, Helvetica, sans-serif;
	-webkit-user-select: none;
	-moz-user-select: none;
	user-select: none;
}

.dropdown_select.open{
	z-index: 2;
}

.dropdown_select:hover{
	box-shadow: 0 0 5px rgba(0,0,0,.15);
}

.dropdown_select.focus{
	-webkit-box-shadow: #B7B7B7 0px 0px 5px;
	-moz-box-shadow: #B7B7B7 0px 0px 5px;
	box-shadow: #B7B7B7 0px 0px 5px;
}

/* CARAT */

.dropdown_select .carat{
	position: absolute;
	right: 12px;
	top: 50%;
	margin-top: -4px;
	border: 6px solid transparent;
	border-top: 8px solid #000;
}

.dropdown_select.open .carat{
	margin-top: -10px;
	border-top: 6px solid transparent;
	border-bottom: 8px solid #000;
}

.dropdown_select.disabled .carat{
	border-top-color: #999;
}

/* OLD SELECT (HIDDEN) */

.dropdown_select .old{
	position: absolute;
	left: 0;
	top: 0;
	height: 0;
	width: 0;
	overflow: hidden;
}

.dropdown_select select{
	position: absolute;
	left: 0px;
	top: 0px;
}

.dropdown_select.touch .old{
	width: 100%;
	height: 100%;
}

.dropdown_select.touch select{
	width: 100%;
	height: 100%;
	opacity: 0;
}

/* SELECTED FEEDBACK ITEM */ 

.dropdown_select .selected,
.dropdown_select li{
	display: block;
	font-size: 13px;
	line-height: 1;
	color: #000;
	padding: 9px 12px;
	overflow: hidden;
	white-space: nowrap;
	border:none
}

.dropdown_select.disabled .selected{
	color: #999;
}

.dropdown_select .selected::after{
	content: '';
	position: absolute;
	right: 0;
	top: 0;
	bottom: 0;
	width: 60px;
	
	border-radius: 0 2px 2px 0;
	box-shadow: inset -55px 0 25px -20px #fff;
}

/* DROP DOWN WRAPPER */

.dropdown_select div{
	position: absolute;
	height: 0;
	left: -1px;
	right: -1px;
	top: 100%;
	margin-top: -1px;
	background: #fff;
	border: 1px solid #ccc;
	border-top: 1px solid #eee;
	border-radius: 0 0 3px 3px;
	overflow: hidden;
	opacity: 0;
}

/* Height is adjusted by JS on open */

.dropdown_select.open div{
	opacity: 1;
	z-index: 2;
}

/* FADE OVERLAY FOR SCROLLING LISTS */

.dropdown_select.scrollable div::after{
	content: '';
	position: absolute;
	left: 0;
	right: 0;
	bottom: 0;
	height: 50px;
	
	box-shadow: inset 0 -50px 30px -35px #fff;
}

.dropdown_select.scrollable.bottom div::after{
	opacity: 0;
}

/* DROP DOWN LIST */

.dropdown_select ul{
	position: absolute;
	left: 0;
	top: 0;
	height: 100%;
	width: 100%;
	list-style: none;
	overflow: hidden;
}

.dropdown_select.scrollable.open ul{
	overflow-y: auto;
}

/* DROP DOWN LIST ITEMS */

.dropdown_select li{
	list-style: none;
	padding: 8px 12px;
}

/* .focus class is also added on hover */

.dropdown_select li.focus{
	background: #cccccc;
	position: relative;
	z-index: 3;
	color: #fff;
}

.dropdown_select li.active{
	font-weight: 700;
}